package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.demo.entity.vo.SystemSetterVo;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@TableName("dl_system_setter")
public class SystemSetter {
    @TableField("interval_carousel")
    private Integer intervalCarousel;
    @TableField("interval_request")
    private Integer intervalRequest;
    @TableField("interval_submit")
    private Integer intervalSubmit;

    public SystemSetter(SystemSetterVo systemSetterVo) {
        this.intervalCarousel = systemSetterVo.getIntervalCarousel();
        this.intervalRequest = systemSetterVo.getIntervalRequest();
        this.intervalSubmit = systemSetterVo.getIntervalSubmit();
    }
}
