package com.ruoyi.demo.entity.bo;

import com.ruoyi.common.core.validate.AddGroup;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

@Data
public class StatisticsAddBo {
    @NotBlank(groups = {AddGroup.class},message = "appkey不能为空")
    private String appkey;
    @NotBlank(groups = {AddGroup.class},message = "设备编号不能为空")
    private String equipmentCode;
    @NotBlank(groups = {AddGroup.class},message = "商品Id不能为空")
    private String goodsId;
    @NotBlank(groups = {AddGroup.class},message = "商品名称不能为空")
    private String goodsName;
    @NotBlank(groups = {AddGroup.class},message = "供应商Id不能为空")
    private String vendorId;
    @NotBlank(groups = {AddGroup.class},message = "供应商名称不能为空")
    private String vendorName;
    @NotBlank(groups = {AddGroup.class},message = "客户Id不能为空")
    private String userId;
    @NotBlank(groups = {AddGroup.class},message = "客户姓名不能为空")
    private String userName;
    @NotBlank(groups = {AddGroup.class},message = "客户联系方式不能为空")
    private String userTelephone;
    @NotNull(groups = {AddGroup.class},message = "时间不能为空")
    private LocalDateTime time;
    @NotBlank(groups = {AddGroup.class},message = "签名不能为空")
    private String sign;
}
