package com.ruoyi.demo.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import com.ruoyi.common.core.validate.QueryGroup;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

@Data
public class AppVo {
    @NotBlank(groups = {EditGroup.class, QueryGroup.class},message = "appkey不能为空")
    private String appkey;

    @NotBlank(groups = {AddGroup.class, EditGroup.class},message = "appLogo不能为空")
    private String appLogo;
    @NotBlank(groups = {AddGroup.class, EditGroup.class},message = "app名称不能为空")
    private String appName;
    private String appIntroduce;

    @NotBlank(groups = {AddGroup.class, EditGroup.class},message = "commercialId不能为空")
    private String commercialId;

    @NotBlank(groups = {AddGroup.class, EditGroup.class},message = "商户名称不能为空")
    private String commercialName;

    private Integer state;
    @NotBlank(groups = {AddGroup.class, EditGroup.class},message = "回调地址不能为空")
    private String callBack;
    private String appSecret;
    private String prove1;
    private String prove2;
    private String prove3;
    private String prove4;
    private String prove5;
    private LocalDateTime createTime;
    private String annotation;
    private Integer deleted;

    private String searchText;

    private int pageNum = 1;
    private int pageSize = 10;
}
