package com.ruoyi.demo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.demo.entity.Store;
import com.ruoyi.demo.entity.vo.StoreVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Update;

@Mapper
public interface StoreMapper extends BaseMapper<Store> {
    @Update("update dl_store set store_name = #{storeName},addr_info=#{addrInfo},addr_code=#{addrCode},addr_code_info=#{addrCodeInfo},principal_name=#{principalName},principal_telephone={principalTelephone},lat=#{lat},lng=#{lng},point=#{point} where store_id=#{storeId}")
    void updateStore(StoreVo storeVo);
}
