package com.ruoyi.demo.utils;


import com.ruoyi.demo.constant.RedisInitContant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class InitMapUtil {
    @Autowired
    RedisTemplate redisTemplate;

    public String getInitAddrCodeMap(String addrCode){
        return (String) redisTemplate.boundHashOps(RedisInitContant.INIT_ADDR_CODE_MAP).get(addrCode);
    }

}
