package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;

@Data
@TableName("ddt_addr_category")
public class AddrCategory {
    @TableField("addr_code")
    private String addrCode;
    @TableField("province")
    private String province;
    @TableField("city")
    private String city;
    @TableField("district")
    private String district;
    @TableField("addr_info")
    private String addrInfo;
    @TableField("lat_gd")
    private BigDecimal latGd;
    @TableField("lng_gd")
    private BigDecimal lngGd;

    @TableField("city_tier")
    private String cityTier;
}
