package com.ruoyi.demo.entity.bo;

import com.ruoyi.common.core.validate.AddGroup;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class OrderAddBo extends StatisticsAddBo {
    @NotBlank(groups = {AddGroup.class},message = "订单编号不能为空")
    private String orderId;
    @NotBlank(groups = {AddGroup.class},message = "规格不能为空")
    private String specs;
    @NotNull(groups = {AddGroup.class},message = "商品价格不能为空")
    private Float goodsPrice;
    @NotNull(groups = {AddGroup.class},message = "交易数量不能为空")
    private Integer dealCount;
    @NotBlank(groups = {AddGroup.class},message = "交易状态不能为空")
    private String state;
}
